package com.tuoheng.admin.controller;

import com.tuoheng.admin.service.oidc.OidcLoginService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/oidcLogin")
@Slf4j
public class OidcLoginController {

    @Autowired
    private OidcLoginService loginService;

    /**
     *
     *登录
     * @return
     */
    @GetMapping("/authorize")
    public JsonResult authorize() {
        return loginService.authorize();
    }
}
